0

I have been using VLC on Buster from the CLI with no problems. Switching to Bullseye results in either the video not working or being very slow to start and chopping off the first few seconds. Basically, it's unusable from the CLI.

Buster is running version 3.0.11 of VLC and Bullseye is running 3.0.18.

Here is the output when run on Buster:

pi@retropie:~/bmos/videos $ vlc  --play-and-exit Daisy.mp4
VLC media player 3.0.11 Vetinari (revision 3.0.11-0-gdc0c5ced72)
[01c80000] vlcpulse audio output error: PulseAudio server connection failure: Connection refused
[01c9b128] dbus interface error: Failed to connect to the D-Bus session daemon: Unable to autolaunch a dbus-daemon without a $DISPLAY for X11
[01c9b128] main interface error: no suitable interface module
[01c07b58] main libvlc error: interface "dbus,none" initialization failed
[01cafdc0] main interface error: no suitable interface module
[01c07b58] main libvlc error: interface "globalhotkeys,none" initialization failed
[01c07b58] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
[01cafdc0] [cli] lua interface: Listening on host "*console".
VLC media player 3.0.11 Vetinari
Command Line Interface initialized. Type `help' for help.
> [b120dd50] mmal_codec decoder: VCSM init succeeded: CMA
[a9b4f048] gles2 generic error: parent window not available
[a9b4e8f8] mmal_xsplitter vout display error: Failed to open Xsplitter:opengles2 module
[a9b4f048] xcb generic error: window not available
[a9b4e8f8] mmal_xsplitter vout display error: Failed to open Xsplitter:xcb_x11 module
[b120dd50] main decoder error: buffer deadlock prevented
[01c61230] main playlist: end of playlist, exiting
[01cafdc0] [cli] lua interface error: Error loading script /usr/lib/arm-linux-gnueabihf/vlc/lua/intf/cli.luac: lua/intf/modules/host.lua:289: Interrupted.

pi@retropie:~/bmos/videos $ vlc --version
VLC media player 3.0.11 Vetinari (revision 3.0.11-0-gdc0c5ced72)

And here is the output on Bullseye:

pi@raspberrypi:~/bmos/videos $ vlc --play-and-exit Daisy.mp4
VLC media player 3.0.18 Vetinari (revision 3.0.13-8-g41878ff4f2)
[0181de88] main interface error: no suitable interface module
[01791b98] main libvlc error: interface "globalhotkeys,none" initialization failed
[01791b98] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
[0181de88] skins2 interface error: cannot initialize OSFactory
[0181de88] [cli] lua interface: Listening on host "*console".
VLC media player 3.0.18 Vetinari
Command Line Interface initialized. Type `help' for help.
> [0183dfc0] mmal_codec decoder: VCSM init succeeded: CMA
[73601780] gles2 generic error: parent window not available
[73601030] mmal_xsplitter vout display error: Failed to open Xsplitter:opengles2 module
[73601780] xcb generic error: window not available
[73601030] mmal_xsplitter vout display error: Failed to open Xsplitter:xcb_x11 module
[73601030] mmal_xsplitter vout display error: Failed to open Xsplitter:mmal_vout module
[73601030] mmal_xsplitter vout display: Try drm
[73601780] drm_vout generic: <<< OpenDrmVout: Fmt=MMAL
[73601780] drm_vout generic error: Failed to get xlease
[0183dfc0] main decoder error: buffer deadlock prevented
[017f0788] main playlist: end of playlist, exiting
[0181de88] [cli] lua interface error: Error loading script /usr/lib/arm-linux-gnueabihf/vlc/lua/intf/cli.luac: lua/intf/modules/host.lua:286: Interrupted.

pi@raspberrypi:~/bmos/videos $ vlc --version
VLC media player 3.0.18 Vetinari (revision 3.0.13-8-g41878ff4f2)

It worked great under Buster. But I need to get it working on Bullseye to move forward.

5
  • Is this Daisy.mp4 file available online? What resolution/frame rate is the file? Is your pi connected to a screen over hdmi?
    – CoderMike
    Mar 25, 2023 at 16:41
  • I just played a sample mp4 without issue on Bullseye. Have you changed any config in your OS?
    – CoderMike
    Mar 25, 2023 at 16:56
  • The Daisy.mp4 can be found here: dropbox.com/s/puzkack0x62vl52/Daisy.mp4?dl=0 I'm using the vanilla config.txt. I decided to install the old omxplayer and make the recommended library installs to get it working. I managed to get omxplayer working on Bullseye and that is fine for now. One of the changes needed to get omxplayer working is changing the line: dtoverlay=vc4-kms-v3d to dtoverlay=vc4-fkms-v3d That makes both players work for me. Switching back to the original makes my vlc play choppy from CLI.
    – Orbian
    Mar 26, 2023 at 18:01
  • And I am connected over HDMI. Running Pi3 B V1.2.
    – Orbian
    Mar 26, 2023 at 18:03
  • @Orbian So it works now on Bullseye, or not? (If not, you may just need to set the DISPLAY=:0 environment variable) Aug 19, 2023 at 8:27

1 Answer 1

0

Switching to dtoverlay=vc4-fkms-v3d gets it working on the CLI, but the CLI might not be the officially supported way to run VLC.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.